## Apache Zeta Components Manual :: Docs For Class ezcDocumentEzXmlToDocbookListHandler

### Document::ezcDocumentEzXmlToDocbookListHandler

### Class ezcDocumentEzXmlToDocbookListHandler

Visit eZXml lists.

Lists are children of paragraphs in eZXml, but are part of the section nodes in docbook. The containing paragraph needs to be split up and the list node moved to the top level node.

Source for this file: /Document/src/converters/element_visitor/ezxml/docbook/list.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentEzXmlToDocbookListHandler

Version: | //autogen//

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node.

### Inherited Methods

From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node.

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3